# /api/playerauctions/getAuctionCategories/{page}

* **Parameters:**
  * `page`: The page number to retrieve (for pagination).
* **Response:**

  The response will return a JSON object with the following structure:

  ```json
  {
    "totalPages" : 1,
    "totalCategories" : 6,
    "categories" : [ {
      "minPrice" : -1.0,
      "maxPrice" : -1.0,
      "all" : true,
      "icon" : {
        "type" : "BOOK",
        "meta" : {
          "display-name" : "{\"text\":\"\",\"extra\":[{\"text\":\"All Auctions\",\"obfuscated\":false,\"italic\":false,\"underlined\":false,\"strikethrough\":false,\"color\":\"aqua\",\"bold\":false}]}",
          "lore" : [ "{\"text\":\"\",\"extra\":[{\"text\":\"Click\",\"color\":\"yellow\"},{\"text\":\" to view all the auctions.\",\"color\":\"aqua\"}],\"italic\":false}" ],
          "PublicBukkitValues" : "{\n    \"playerauctions:itemtag_item\": \"1\"\n}"
        }
      },
      "name" : "all",
      "displayName" : "All"
    }, {
      "minPrice" : -1.0,
      "maxPrice" : -1.0,
      "all" : false,
      "icon" : {
        "type" : "CAKE",
        "meta" : {
          "display-name" : "{\"text\":\"\",\"extra\":[{\"text\":\"Food\",\"obfuscated\":false,\"italic\":false,\"underlined\":false,\"strikethrough\":false,\"color\":\"aqua\",\"bold\":false}]}",
          "lore" : [ "{\"text\":\"\",\"extra\":[{\"text\":\"Click\",\"color\":\"yellow\"},{\"text\":\" to view all the food.\",\"color\":\"aqua\"}],\"italic\":false}" ],
          "PublicBukkitValues" : "{\n    \"playerauctions:itemtag_item\": \"1\"\n}"
        }
      },
      "name" : "food",
      "displayName" : "Food"
    }, {
      "minPrice" : -1.0,
      "maxPrice" : -1.0,
      "all" : false,
      "icon" : {
        "type" : "DIAMOND_PICKAXE",
        "meta" : {
          "display-name" : "{\"text\":\"\",\"extra\":[{\"text\":\"Tools\",\"obfuscated\":false,\"italic\":false,\"underlined\":false,\"strikethrough\":false,\"color\":\"aqua\",\"bold\":false}]}",
          "lore" : [ "{\"text\":\"\",\"extra\":[{\"text\":\"Click\",\"color\":\"yellow\"},{\"text\":\" to view all the tools.\",\"color\":\"aqua\"}],\"italic\":false}" ],
          "attribute-modifiers" : { },
          "ItemFlags" : [ "HIDE_ATTRIBUTES" ],
          "PublicBukkitValues" : "{\n    \"playerauctions:itemtag_item\": \"1\"\n}"
        }
      },
      "name" : "tools",
      "displayName" : "Tools"
    }, {
      "minPrice" : -1.0,
      "maxPrice" : -1.0,
      "all" : false,
      "icon" : {
        "type" : "DIAMOND_HELMET",
        "meta" : {
          "display-name" : "{\"text\":\"\",\"extra\":[{\"text\":\"Armor\",\"obfuscated\":false,\"italic\":false,\"underlined\":false,\"strikethrough\":false,\"color\":\"aqua\",\"bold\":false}]}",
          "lore" : [ "{\"text\":\"\",\"extra\":[{\"text\":\"Click\",\"color\":\"yellow\"},{\"text\":\" to view all the armor.\",\"color\":\"aqua\"}],\"italic\":false}" ],
          "attribute-modifiers" : { },
          "ItemFlags" : [ "HIDE_ATTRIBUTES" ],
          "PublicBukkitValues" : "{\n    \"playerauctions:itemtag_item\": \"1\"\n}"
        }
      },
      "name" : "armor",
      "displayName" : "Armor"
    }, {
      "minPrice" : -1.0,
      "maxPrice" : -1.0,
      "all" : false,
      "icon" : {
        "type" : "ENCHANTED_BOOK",
        "meta" : {
          "display-name" : "{\"text\":\"\",\"extra\":[{\"text\":\"Items\",\"obfuscated\":false,\"italic\":false,\"underlined\":false,\"strikethrough\":false,\"color\":\"aqua\",\"bold\":false}]}",
          "lore" : [ "{\"text\":\"\",\"extra\":[{\"text\":\"Click\",\"color\":\"yellow\"},{\"text\":\" to view all the items.\",\"color\":\"aqua\"}],\"italic\":false}" ],
          "PublicBukkitValues" : "{\n    \"playerauctions:itemtag_item\": \"1\"\n}"
        }
      },
      "name" : "items",
      "displayName" : "Items"
    }, {
      "minPrice" : -1.0,
      "maxPrice" : -1.0,
      "all" : false,
      "icon" : {
        "type" : "DIRT",
        "meta" : {
          "display-name" : "{\"text\":\"\",\"extra\":[{\"text\":\"Blocks\",\"obfuscated\":false,\"italic\":false,\"underlined\":false,\"strikethrough\":false,\"color\":\"aqua\",\"bold\":false}]}",
          "lore" : [ "{\"text\":\"\",\"extra\":[{\"text\":\"Click\",\"color\":\"yellow\"},{\"text\":\" to view all the blocks.\",\"color\":\"aqua\"}],\"italic\":false}" ],
          "PublicBukkitValues" : "{\n    \"playerauctions:itemtag_item\": \"1\"\n}"
        }
      },
      "name" : "blocks",
      "displayName" : "Blocks"
    } ],
    "currentPage" : 1
  }
  ```

**Fields:**

* **totalPages** (Number): The total number of pages.
* **totalCategories** (Number): The total number of categories.
* **currentPage** (Number): The current page number.
* **categories** (Array of Objects): A list of category details.
  * **minPrice** (Number): The minimum price for the category.
  * **maxPrice** (Number): The maximum price for the category.
  * **all** (Boolean): Indicates if this category includes all items.
  * **icon** (Object): The icon details for the category.
    * **type** (String): The type of the icon (e.g., BOOK, CAKE).
    * **meta** (Object): Metadata for the icon.
      * **display-name** (String): The JSON string representation of the display name.
      * **lore** (Array of Strings): Lore text to describe the icon.
      * **PublicBukkitValues** (String): A JSON string containing custom metadata for Bukkit.
      * **attribute-modifiers** (Object): Any modifiers applied to the icon's attributes.
      * **ItemFlags** (Array of Strings): Flags applied to the icon (e.g., hiding attributes).
  * **name** (String): The unique identifier for the category.
  * **displayName** (String): The display name of the category.

**Note:**

* [**Authentication**](/projects/playerauctions/restapi.md#authentication) is required to access this endpoint.
* Based on server settings, you may not be able to access auction information if you do not own the auction.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.olziedev.com/projects/playerauctions/restapi/endpoints/get/getauctioncategories.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
